<template>
  <div
    class="overflow-scroll lg:overflow-hidden flex flex-col lg:flex-row items-center justify-start lg:justify-center gap-20 text-gray-100 dark:text-gray-300 bg-blue-400 dark:bg-blue-900"
  >
    <div>
      <header class="pb-2 mb-4 text-center lg:text-left border-b-2 lg:border-0">
        <h1 class="whitespace-normal sm:whitespace-nowrap lg:inline lg:border-b-2 text-5xl md:text-7xl lg:text-7xl px-2 w-full">Sascha Hemleb</h1>
      </header>
      <section class="flex flex-row gap-4 justify-around lg:justify-start">
        <a
          href="https://gitlab.com/saschahemleb"
          target="_blank"
          rel="external noopener noreferrer"
        >
          <font-awesome-icon :icon="['fab', 'gitlab']" size="lg" />
        </a>
        <a
          href="https://github.com/saschahemleb"
          target="_blank"
          rel="external noopener noreferrer"
        >
          <font-awesome-icon :icon="['fab', 'github']" size="lg" />
        </a>
        <a
          href="https://instagram.com/sascha_hemleb/"
          target="_blank"
          rel="external noopener noreferrer"
        >
          <font-awesome-icon :icon="['fab', 'instagram']" size="lg" />
        </a>
        <a href="mailto:sascha@hemleb.de">
          <font-awesome-icon :icon="['fas', 'envelope']" size="lg" />
        </a>
      </section>
      <section class="text-xl leading-relaxed my-8 lg:my-16">
        <p>
          Hi! I’m Sascha Hemleb, a germany-based Software Engineer and a massive
          technology geek.
        </p>
        <p>
          I currently work as a Site-Reliability Engineer at Eventim, pushing
          our ticketing system to the absolute limit, and then some.
        </p>
        <p class="mt-8">
          When I’m not at a keyboard, I love to travel and take lots of
          pictures. Otherwise, how will people know?
        </p>
      </section>
      <div class="text-center lg:text-left text-xl">
        <font-awesome-icon icon="long-arrow-alt-left" />
        <router-link class="px-1 underline" :to="{ name: 'home' }"
        >Back to Homepage</router-link
        >
      </div>
    </div>
    <div class="hidden lg:block">
      <computer-desk :color="{'50': 'text-blue-50 dark:text-blue-100', '100': 'text-blue-100 dark:text-blue-300', '200': 'text-blue-200 dark:text-blue-500', '900': 'text-blue-900 dark:text-blue-700'}" />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import ComputerDesk from "../components/ComputerDesk.vue";

export default defineComponent({
  components: { ComputerDesk },
});
</script>

<style scoped></style>
